import assert from "assert";
import logging from '../lib/logging.js';
import { Livestream } from "../lib/models.js";

import { io } from "socket.io-client";

const socket = io("ws://127.0.0.1:5001");

socket.io.on("error", (error) => {
  console.error(error);
});

socket.on("connect", () => {
  console.log("CONNECTED", socket.connected);
});

export const update_viewers = async (job) => {
  socket.emit("/live/update", job.data);
}

export const add_view_count = async (job) => {
  try {
    await Livestream.add_viewers(job.data.livestream_id);
  } catch (err) {
    console.error(err);
  }
}
